curl --request PATCH \
--url https://api.chainstack.com/v1/networks/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My new network name"
}
'import requests
url = "https://api.chainstack.com/v1/networks/{id}/"
payload = { "name": "My new network name" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My new network name'})
};
fetch('https://api.chainstack.com/v1/networks/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "NW-123-456-7",
"name": "Mainnet",
"project": "PR-123-456",
"protocol": "ethereum",
"configuration": {
"network": "ethereum-mainnet"
},
"details": {},
"status": "ok",
"nodes": [
{
"id": "ND-123-456-789",
"name": "My Ethereum node",
"network": "NW-123-456-7",
"organization": "RG-123-456",
"type": "dedicated",
"role": "peer",
"provider": "gcloud",
"region": "asia-southeast1",
"status": "running",
"configuration": {
"archive": true
},
"details": {
"mode": "archive",
"version": "1.9.9",
"api_namespaces": [
"net",
"eth",
"web3",
"txpool",
"debug"
],
"graphql_endpoint": "https://nd-123-456-789.p2pify.com/graphql",
"https_endpoint": "https://nd-123-456-789.p2pify.com",
"wss_endpoint": "wss://ws-nd-123-456-789.p2pify.com",
"beacon_endpoint": "https://beacon-nd-123-456-789.p2pify.com",
"auth_username": "user-name",
"auth_password": "pass-word-pass-word-pass-word",
"auth_key": "3c6e0b8a9c15224a8228b9a98ca1531d"
},
"created_at": "2020-06-15T07:38:00.747Z",
"creator": {
"id": "UR-111-111-111",
"email": "john.smith@example.com",
"first_name": "John",
"last_name": "Smith",
"organization": {
"id": "RG-123-456",
"name": "My organization"
}
}
}
],
"created_at": "2020-06-15T07:38:00.747Z",
"creator": {
"id": "UR-111-111-111",
"email": "john.smith@example.com",
"first_name": "John",
"last_name": "Smith",
"organization": {
"id": "RG-123-456",
"name": "My organization"
}
}
}Update a network with the Chainstack Platform API
Update the configuration or metadata of an existing Chainstack blockchain network. Send a PATCH request to /v1/networks// with the updated fields.
Authorizations
Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'
All API requests must be made over HTTPS.
Path Parameters
A unique value identifying the Object.
Body
New name of the network.
ID of the network's project.
Protocol.
See also Supported protocols.
ethereum, polygon-pos, bsc, avalanche, arbitrum, near, aurora, gnosis, cronos, fantom, starknet, harmony, tezos, fuse, bitcoin Creator of the network.
Show child attributes
Show child attributes
When the network was created.
Response
Name of the network.
ID of the network's project.
Protocol.
See also Supported protocols.
ethereum, polygon-pos, bsc, avalanche, arbitrum, near, aurora, gnosis, cronos, fantom, starknet, harmony, tezos, fuse, bitcoin Creator of the network.
Show child attributes
Show child attributes
When the network was created.
Ethereum network configuration.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?